version: '3'
services:
  web:
    build:
      context: .
      dockerfile: Dockerfile
    volumes:
      - ./src/:/var/www/html
    ports:
      - "8080:80"
    depends_on:
      - db
    networks:
      - my_net

  db:
    image: mysql:8.3.0
    volumes:
      - db_data:/var/lib/mysql
    environment:
      MYSQL_RANDOM_ROOT_PASSWORD: true
      MYSQL_DATABASE: notes
      MYSQL_USER: note
      MYSQL_PASSWORD: note
    networks:
      - my_net

  phpmyadmin:
    depends_on:
      - db
    image: phpmyadmin/phpmyadmin
    ports:
      - "8181:80"
    environment:
      PMA_HOST: db
    networks:
      - my_net

volumes:
  db_data:

networks:
  my_net: